---
title: What is GitLab?
description: "GitLab is a complete DevOps platform, delivered as a single application."
suppress_header: true
extra_css:
  - auto-devops.css
  - product.css
extra_js:
  - features.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/devops-tools/gitlab-logo.svg", class: "hero-image-small", alt: "Gitlab logo svg"
    %h1 What is GitLab?
    %p
      GitLab is a complete DevOps platform, delivered as a single application. This makes GitLab unique and makes
      %a{ href: "/concurrent-devops/" }Concurrent DevOps
      possible, unlocking your organization from the constraints of a pieced together toolchain. Join us for a live Q&A to learn how GitLab can give you unmatched visibility and higher levels of efficiency in a single application across the DevOps lifecycle.
    = link_to "Watch a GitLab demo", "/demo/", class: "btn cta-btn accent"

.content-container
  .content.tile
    %p
      <iframe width="853" height="480" src="https://www.youtube.com/embed/MqL6BMOySIQ?showinfo=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
    :markdown
      [GitLab started](/company/history/) as an open source project to help teams collaborate on software development. By delivering new functionality at an [industry-leading pace](/blog/2017/07/06/gitlab-top-30-highest-velocity-open-source/), GitLab now provides a single application for [the entire software development and operations lifecycle](/stages-devops-lifecycle/). GitLab provides everything you need to [Manage](/stages-devops-lifecycle/manage/), [Plan](/stages-devops-lifecycle/plan/), [Create](/stages-devops-lifecycle/create/), [Verify](/stages-devops-lifecycle/verify/), [Package](/stages-devops-lifecycle/package/), [Release](/stages-devops-lifecycle/release/), [Configure](/stages-devops-lifecycle/configure/), [Monitor](/stages-devops-lifecycle/monitor/), [Secure](/stages-devops-lifecycle/secure/), and [Defend](/stages-devops-lifecycle/defend/) your applications.

  = link_to "All GitLab capabilities", "/product/", class: "btn cta-btn accent"

  .content.tile
    :markdown
      ## Compare GitLab to other tools

      If you're not using GitLab today, your DevOps lifecycle is spread across any number of applications. These silos take overhead to integrate, manage, configure, and maintain, slowing down your team. Moving to a single application will speed up your workflow and help you deliver better software, faster.

  = link_to "See how GitLab compares", "/devops-tools/", class: "btn cta-btn accent"

  .content.tile
    :markdown
      ## Open source and open core?

      GitLab is an open source project with [over 3,000 contributors](http://contributors.gitlab.com/) maintained by GitLab Inc. You can [install and self-manage](/install/) GitLab Core under and MIT license or use [GitLab's commercial software](/free-trial/) built on top of the open source edition with additional features. We call this, "[open core](/blog/2016/07/20/gitlab-is-open-core-github-is-closed-source/)."

      [Hundreds of thousands of organizations](/customers/) use and contribute to GitLab. This community helps ensure the long-term viability of GitLab as they work together to release a new stable version on [the 22nd of every month](/releases/).

  = link_to "Download and install GitLab", "/install/", class: "btn cta-btn accent"

  .content.tile
    :markdown
      ## Get started with GitLab

      You can [get started with GitLab today](/get-started/). Our team would love to answer your questions and help achieve a 200% faster DevOps lifecycle.

  = link_to "Get started", "/get-started/", class: "btn cta-btn accent"
